4.2i项目导航器-多个警告:“警告:<language_name>不支持语言。使用美国英语

描述

关键词:4.2i,警告,德语,语言,不是,支持,使用英语

紧迫性:标准

一般描述:
在运行Windows的德语版本的机器上执行时,日志文件中填充了以下警告消息:

警告:Deutsch不支持作为一种语言。使用美国英语。

即使是这种情况(即,如果不支持德国窗口),也不应报告数千次这种警告的发生,因为这使得搜索真正的警告非常困难。

解决方案

软件的版本5.1i已被固定以在适当的时候只给出一个这样的信息消息。

解决这个问题:

1。为备份目的制作LabPababiList.DLL的副本。
2。在DLL中找到包含“&语言和……”的行。不支持。使用美国英语。
三。在“空白区”字符(0h)的DLL中替换字符串“%s不支持…”。
4。用新修改的DLL替换原来的DLL。(确保它包含正确的名称。)

在UNIX中存在一个被称为“语言”的保留环境变量。验证是否设置为正确的值(即,U-Engl)。
编辑 重设标签(回车键确认) 标为违禁 关闭 合并 删除

提问于 2018-07-30 10:52:48 +0800

这个帖子被标记为一个社区wiki

这个帖子是一个wiki(维基). 任何一个积分 >500的人都可以完善它